<template>
  <div>
    <div class="docWrap" style="width: 100%;
        height: 28%;
        overflow: auto;
        background: white;
        margin: 14px auto;">
      <!-- 预览文件的地方（用于渲染） -->
      <div ref="word" style="width: 100%!important;"></div>
    </div>
    <div class="docWrap" style="width: 100%;
        height: 28%;
        overflow: auto;
        background: white;
        margin: 14px auto;">
      <!-- 预览文件的地方（用于渲染） -->
      <div ref="word1"></div>
    </div>
    <div class="docWrap" style="width: 100%;
        height: 28%;
        overflow: auto;
        background: white;
        margin: 0 auto;">
      <!-- 预览文件的地方（用于渲染） -->
      <div ref="word2"></div>
    </div>
    <div style="text-align: center;margin-top: 8px">
      <el-button>通过</el-button>
      <el-button>驳回</el-button>
    </div>
  </div>
</template>

<script>
import {inquiryquestion, ordercorrection, getPenalty, Easycase} from '@/api/News/sunmaryProcedure'
import {viewD} from "@/libs/word"
import {saveObj} from "@/api/News/fileCase";

export default {
  name: "AuditWord",
  data() {
    return {
      dataForm: {
        causeName: '',
        causePoint: '',
        startTime: '',
        endTime: '',
        site: '',
        interrogeeName: '',
        interrogeeSex: '',
        interrogeeAge: '',
        interrogeeCardNo: '',
        interrogeeUnit: '',
        interrogeeDuty: '',
        interrogeePhone: '',
        interrogeeAddress: '',
        interrogeePostcode: '',
        inquisitorialNameOne: '',
        inquirerNumberOne: '',
        inquisitorialNameTwo: '',
        inquirerNumberTwo: '',
        recorderName: '',
        recorderUnit: '',
        questionsAnswers: [
          {
            wen: '',
            da: '',
          }
        ],
      },
      dataForm1: {
        unitName:"",
        litigant: "",
        certNo: "",
        address: "",
        legalPerson: "",
        legalPersonPhone: "",
        relevantProvision: "",
        inspectionTime: "",
        openQuestions: "",
        correctTime: "",
        legalBasis: "",
        legalBasisTiao:"",
        legalBasisKuan:"",
        legalBasisXiang:"",
        actions: "",
        governmentName: "",
        courtName: "",
        phoneName: "",
        phone: "",
        executionTime: "",
        officersOne: "",
        numberOne: "",
        officersTwo: "",
        numberTwo: "",
        receiveTime: "",
        litigantPhone: "",
        correctiveActions: [""],
      },
      dataForm2: {
        unitName: "",
        litigant: "",
        certNo: "",
        address: "",
        legalPerson: "",
        position: "",
        legalCertNo: "",
        illegalTime: "",
        illegalLocation: "",
        illegalAct: "",
        statement: "",
        legalClause: "",
        punishments: [],
        penalty: "",
        penaltyNumber: "",
        fines: "",
        bank: "",
        account: "",
        accountName: "",
        governmentName: "",
        courtName: "",
        officersOne: '',
        numberOne: '',
        officersTwo: '',
        numberTwo: '',
        executionTime: '',
        legalClauseTiao: '',
        legalBasisTiao: "",
      },
      imgList: []
    };
  },
  created() {
    this.viewVord();
    this.viewVord1();
    this.viewVord2();
  },
  methods: {
    //文件查询预览
    /*init() {
      //查询调查询问笔录
      inquiryquestion(id).then(res =>{
        let v = res.data.data;
        for (let attr in v) {
          if (v[attr] == null) {
            v[attr] = "";
          }
        }
        let str = JSON.stringify(v);
        let data = JSON.parse(str);
        // this.dataForm = data;
        this.viewVord(data)
      })
      //查询责令（限期）改正通知书
      ordercorrection(id).then(res =>{
        let v = res.data.data;
        for (let attr in v) {
          if (v[attr] == null) {
            v[attr] = "";
          }
        }
        let str = JSON.stringify(v);
        let data = JSON.parse(str);
        // this.dataForm1 = data;
        this.viewVord(data)
      })
      //查询当场行政处罚决定书
      getPenalty(id).then(res =>{
        let v = res.data.data;
        for (let attr in v) {
          if (v[attr] == null) {
            v[attr] = "";
          }
        }
        let str = JSON.stringify(v);
        let data = JSON.parse(str);
        // this.dataForm2 = data;
        this.viewVord(data)
      })
    },*/
    //调查询问笔录预览
    viewVord(data) {
      //↓↓↓↓↓↓以下部分根据具体业务修改↓↓↓↓↓↓
      //格式转换
      // let wordData = this.transforData(data);
      //↑↑↑↑↑↑以上部分根据具体业务修改↑↑↑↑↑↑
      this.$nextTick(() => {
        viewD(this.dataForm,"/wordes/inquiryCause.docx",this.$refs.word);
      })
    },
    //责令（限期）改正通知书预览
    viewVord1() {
      //↓↓↓↓↓↓以下部分根据具体业务修改↓↓↓↓↓↓
      //格式转换
      // let wordData = this.transforData(data);
      //↑↑↑↑↑↑以上部分根据具体业务修改↑↑↑↑↑↑
      this.$nextTick(() => {
        viewD(this.dataForm1,"/wordes/correctionNotice.docx",this.$refs.word1);
      })
    },
    //当场行政处罚决定书预览
    viewVord2(data) {
      //↓↓↓↓↓↓以下部分根据具体业务修改↓↓↓↓↓↓
      //格式转换
      // let wordData = this.transforData(data);
      //↑↑↑↑↑↑以上部分根据具体业务修改↑↑↑↑↑↑
      this.$nextTick(() => {
        viewD(this.dataForm2,"/wordes/nowAdministrativePenaltyDecision.docx",this.$refs.word2);
      })
    },
  },
}
</script>

<style>
.docx-wrapper {
  background: white !important;
}
.docx p{
  text-align: center;
}
.docx p:nth-child(0)>span:nth-child(3){
  margin-left: -45px;
}
</style>
